package com.youmotic.carpasol.youmotic;

import android.content.Context;
import android.content.Intent;
import android.content.res.Resources;
import android.media.AudioManager;
import android.media.SoundPool;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SoundEffectConstants;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;

import com.google.android.gms.ads.AdRequest;
import com.google.android.gms.ads.AdView;

import com.facebook.appevents.AppEventsLogger;
import com.facebook.FacebookSdk;

import javax.xml.transform.Source;

public class Principal extends AppCompatActivity{
SoundPool soundPool;
    int sonidoclick1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        FacebookSdk.sdkInitialize(getApplicationContext());

        setContentView(R.layout.activity_principal);

    }


    @Override
    protected void onResume(){
        super.onResume();

        setContentView(R.layout.activity_principal);

        soundPool=new SoundPool(5,AudioManager.STREAM_MUSIC,0);
        sonidoclick1=soundPool.load(this,R.raw.sonido_click1,0);

        View animacionTitulo = findViewById(R.id.imageView);
        Animation animImag = AnimationUtils.loadAnimation(this,R.anim.aparecer);
        animacionTitulo.startAnimation(animImag);
        View animacionTabla = findViewById(R.id.tabla);
        Animation animTab = AnimationUtils.loadAnimation(this,R.anim.aparecer3);
        animacionTabla.startAnimation(animTab);

    }

    @Override
    protected void onPause(){
        super.onPause();
          AppEventsLogger.activateApp(this);
    }
    @Override
    protected void onStop(){
        super.onStop();
        AppEventsLogger.deactivateApp(this);
    }

    @Override
    protected void onDestroy(){
        super.onDestroy();
        android.os.Process.killProcess(android.os.Process.myPid());
    }

    public void crearMrYouMotic(View view){
        soundPool.play(sonidoclick1,1,1,1,0,1);
        View animacionBoton1 = findViewById(R.id.button5);
        Animation animBot= AnimationUtils.loadAnimation(this,R.anim.aparecer2);
        animacionBoton1.startAnimation(animBot);
        Intent i=new Intent(this,MrYouMotic.class);
        startActivity(i);
    }

    public void crearOpenYouMotic(View view){
        soundPool.play(sonidoclick1,1,1,1,0,1);
        View animacionBoton1 = findViewById(R.id.button6);
        Animation animBot= AnimationUtils.loadAnimation(this,R.anim.aparecer2);
        animacionBoton1.startAnimation(animBot);
        Intent i=new Intent(this,OpenYouMotic.class);
        startActivity(i);
    }

    public void abrirGallery(View view){
        soundPool.play(sonidoclick1,1,1,1,0,1);
        View animacionBoton1 = findViewById(R.id.button7);
        Animation animBot= AnimationUtils.loadAnimation(this,R.anim.aparecer2);
        animacionBoton1.startAnimation(animBot);
        Intent i=new Intent(this,Galeria.class);
        startActivity(i);
    }

    public void salir(View view){

        finish();
    }
}
