package com.youmotic.carpasol.youmotic;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.BitmapDrawable;
import android.media.Image;
import android.os.Environment;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.Toast;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Vector;
import java.util.logging.FileHandler;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */

public class YouMotic {

    public static Bitmap imagen;
    public String clase;
    public static List<Bitmap> ARRAY_BITMAP;
    public final static String CLASE_CARTOON = "Cartoon";
    public final static String CLASE_PHOTO = "Photo";
    public final static String[] CLASE_ARRAY_YOUMOTIC = new String[]{CLASE_CARTOON, CLASE_PHOTO};
    // no la uso al final.
    public YouMotic(Bitmap imagen,
                    String clase) {
        this.imagen = imagen;
        this.clase = clase;
    }

    public static Vector<YouMotic> ejemploYouMotics() {

        ARRAY_BITMAP = new ArrayList<Bitmap>();
        Vector<YouMotic> youmotics = new Vector<YouMotic>();

        File ruta = new File(Environment.getExternalStorageDirectory() + "/Android/data/com.youmotic.carpasol.youmotic/images/");

        File[] files = ruta.listFiles();

        if (files != null) {
            for (int i = 0; i < files.length; i++) {
                String string_imagen;

                File file = files[i];
                string_imagen = Environment.getExternalStorageDirectory() + "/Android/data/com.youmotic.carpasol.youmotic/images/" + file.getName();
                try {
                    imagen = new BitmapFactory().decodeFile(string_imagen);
                    ARRAY_BITMAP.add(imagen);
                        youmotics.add(new YouMotic(ARRAY_BITMAP.get(i), CLASE_CARTOON));

                } catch (Error e) {
                }
            }
        }
        return youmotics;

    }

}

