package com.youmotic.carpasol.youmotic.fragments;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import com.youmotic.carpasol.youmotic.MrYouMotic;
import com.youmotic.carpasol.youmotic.AdaptadorDibujosFiltro;
import com.youmotic.carpasol.youmotic.Dibujo;
import com.youmotic.carpasol.youmotic.ObjetosGlobales;
import com.youmotic.carpasol.youmotic.R;

import static com.youmotic.carpasol.youmotic.Dibujo.CLASE_ARRAY;


public class DetalleFragment extends Fragment implements View.OnTouchListener {
    public static String ARG_ID_DIBUJO = "id_dibujo";
    public static View vista;
    private AdaptadorDibujosFiltro miadaptador;

    @Override
    public View onCreateView(LayoutInflater inflador, ViewGroup contenedor,
                             Bundle savedInstanceState) {

        vista = inflador.inflate(R.layout.fragment_detalle,
                contenedor, false);
        Bundle args = getArguments();
        if (args != null) {
            int position = args.getInt(ARG_ID_DIBUJO);
            ponInfoDibujo(position, vista);
        } else {
            ponInfoDibujo(0, vista);
        }

        return vista;
    }


    private void ponInfoDibujo(int id, View vista) {

        if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[4])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id);
            ((ImageView) vista.findViewById(R.id.portada))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[0])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 24);
            ((ImageView) vista.findViewById(R.id.ojos))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[6])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 33);
            ((ImageView) vista.findViewById(R.id.pupilas))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[7])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 49);
            ((ImageView) vista.findViewById(R.id.pelo))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[2])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 82);
            ((ImageView) vista.findViewById(R.id.cejas))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);

        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[1])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 87);
            ((ImageView) vista.findViewById(R.id.boca))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[3])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 103);
            ((ImageView) vista.findViewById(R.id.bigote))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[5])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 108);
            ((ImageView) vista.findViewById(R.id.gafas))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[8])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 122);
            ((ImageView) vista.findViewById(R.id.mofletes))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[9])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 129);
            ((ImageView) vista.findViewById(R.id.narices))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        } else if (((MrYouMotic.adaptador).getClase()).startsWith(CLASE_ARRAY[10])) {
            Dibujo dibujo = ((ObjetosGlobales) getActivity().getApplication())
                    .getVectorDibujos().elementAt(id + 135);
            ((ImageView) vista.findViewById(R.id.barbas))
                    .setImageResource(dibujo.recursoImagen);
            vista.setOnTouchListener(this);
        }
    }

    public void ponInfoDibujo(int id) {
        ponInfoDibujo(id, getView());
    }

    @Override
    public boolean onTouch(View v, MotionEvent event) {
        return false;
    }
}
